Index: src/Parameters/ContinuousParameter.hpp
===================================================================
--- src/Parameters/ContinuousParameter.hpp	(revision c5e73131f8ffc006b7956e816253e54677adbb78)
+++ src/Parameters/ContinuousParameter.hpp	(revision 9cd0d0b95aa93749d28973e5bf6802127c241fb4)
@@ -17,5 +17,5 @@
 
 #include "ContinuousValue.hpp"
-#include "Parameter.hpp"
+#include "ParameterInterface.hpp"
 
 /** This class encapsulates a clonable, continuous value.
@@ -23,5 +23,5 @@
  */
 template <typename T>
-class ContinuousParameter : public Parameter<T>, public ContinuousValue<T>
+class ContinuousParameter : public ParameterInterface<T>, public ContinuousValue<T>
 {
 public:
@@ -37,5 +37,5 @@
       { return !((*this)==(_instance)); }
 
-  Parameter<T>* clone() const;
+  ParameterInterface<T>* clone() const;
 
 private:
Index: src/Parameters/ContinuousParameter_impl.hpp
===================================================================
--- src/Parameters/ContinuousParameter_impl.hpp	(revision c5e73131f8ffc006b7956e816253e54677adbb78)
+++ src/Parameters/ContinuousParameter_impl.hpp	(revision 9cd0d0b95aa93749d28973e5bf6802127c241fb4)
@@ -23,5 +23,5 @@
 template<typename T>
 ContinuousParameter<T>::ContinuousParameter(const std::string &_name) :
-  Parameter<T>(_name),
+  ParameterInterface<T>(_name),
   ContinuousValue<T>(range<T>(std::numeric_limits<T>::min(), std::numeric_limits<T>::max()))
 {};
@@ -34,5 +34,5 @@
 template<typename T>
 ContinuousParameter<T>::ContinuousParameter(const std::string &_name, const T &_value) :
-  Parameter<T>(_name),
+  ParameterInterface<T>(_name),
   ContinuousValue<T>(range<T>(std::numeric_limits<T>::min(), std::numeric_limits<T>::max()))
 {
@@ -47,5 +47,5 @@
 template<typename T>
 ContinuousParameter<T>::ContinuousParameter(const std::string &_name, const range<T> &_ValidRange) :
-  Parameter<T>(_name),
+  ParameterInterface<T>(_name),
   ContinuousValue<T>(_ValidRange)
 {};
@@ -59,5 +59,5 @@
 template<typename T>
 ContinuousParameter<T>::ContinuousParameter(const std::string &_name, const range<T> &_ValidRange, const T &_value) :
-  Parameter<T>(_name),
+  ParameterInterface<T>(_name),
   ContinuousValue<T>(_ValidRange)
 {
@@ -83,5 +83,5 @@
   status = status &&
       (*dynamic_cast<const ContinuousValue<T> *>(this) == dynamic_cast<const ContinuousValue<T> &>(_instance));
-  status = status && (Parameter<T>::getName() == _instance.Parameter<T>::getName());
+  status = status && (ParameterInterface<T>::getName() == _instance.ParameterInterface<T>::getName());
   return status;
 }
@@ -92,7 +92,7 @@
  */
 template<typename T>
-Parameter<T>* ContinuousParameter<T>::clone() const
+ParameterInterface<T>* ContinuousParameter<T>::clone() const
 {
-  ContinuousParameter<T> *instance = new ContinuousParameter<T>(Parameter<T>::getName(), ContinuousValue<T>::getValidRange());
+  ContinuousParameter<T> *instance = new ContinuousParameter<T>(ParameterInterface<T>::getName(), ContinuousValue<T>::getValidRange());
   instance->setValue(ContinuousValue<T>::getValue());
   return instance;
Index: src/Parameters/DiscreteParameter.hpp
===================================================================
--- src/Parameters/DiscreteParameter.hpp	(revision c5e73131f8ffc006b7956e816253e54677adbb78)
+++ src/Parameters/DiscreteParameter.hpp	(revision 9cd0d0b95aa93749d28973e5bf6802127c241fb4)
@@ -17,5 +17,5 @@
 
 #include "DiscreteValue.hpp"
-#include "Parameter.hpp"
+#include "ParameterInterface.hpp"
 
 #include <vector>
@@ -25,5 +25,5 @@
  */
 template <typename T>
-class DiscreteParameter : public Parameter<T>, public DiscreteValue<T>
+class DiscreteParameter : public ParameterInterface<T>, public DiscreteValue<T>
 {
 public:
@@ -38,5 +38,5 @@
       { return !((*this)==(_instance)); }
 
-  Parameter<T>* clone() const;
+  ParameterInterface<T>* clone() const;
 
 private:
Index: src/Parameters/DiscreteParameter_impl.hpp
===================================================================
--- src/Parameters/DiscreteParameter_impl.hpp	(revision c5e73131f8ffc006b7956e816253e54677adbb78)
+++ src/Parameters/DiscreteParameter_impl.hpp	(revision 9cd0d0b95aa93749d28973e5bf6802127c241fb4)
@@ -23,5 +23,5 @@
 template<typename T>
 DiscreteParameter<T>::DiscreteParameter(const std::string &_name) :
-  Parameter<T>(_name)
+  ParameterInterface<T>(_name)
 {};
 
@@ -33,5 +33,5 @@
 template<typename T>
 DiscreteParameter<T>::DiscreteParameter(const std::string &_name, const std::vector<T> &_ValidValues) :
-  Parameter<T>(_name),
+  ParameterInterface<T>(_name),
   DiscreteValue<T>(_ValidValues)
 {};
@@ -45,5 +45,5 @@
 template<typename T>
 DiscreteParameter<T>::DiscreteParameter(const std::string &_name, const std::vector<T> &_ValidValues, const T &_value) :
-  Parameter<T>(_name),
+  ParameterInterface<T>(_name),
   DiscreteValue<T>(_ValidValues)
 {
@@ -69,5 +69,5 @@
   status = status &&
       (*dynamic_cast<const DiscreteValue<T> *>(this) == dynamic_cast<const DiscreteValue<T> &>(_instance));
-  status = status && (Parameter<T>::getName() == _instance.Parameter<T>::getName());
+  status = status && (ParameterInterface<T>::getName() == _instance.ParameterInterface<T>::getName());
   return status;
 }
@@ -78,7 +78,7 @@
  */
 template<typename T>
-Parameter<T>* DiscreteParameter<T>::clone() const
+ParameterInterface<T>* DiscreteParameter<T>::clone() const
 {
-  DiscreteParameter<T> *instance = new DiscreteParameter<T>(Parameter<T>::getName(), DiscreteValue<T>::getValidValues());
+  DiscreteParameter<T> *instance = new DiscreteParameter<T>(ParameterInterface<T>::getName(), DiscreteValue<T>::getValidValues());
   instance->setValue(DiscreteValue<T>::getValue());
   return instance;
Index: src/Parameters/Parameter.hpp
===================================================================
--- src/Parameters/Parameter.hpp	(revision c5e73131f8ffc006b7956e816253e54677adbb78)
+++ 	(revision )
@@ -1,45 +1,0 @@
-/*
- * Parameter.hpp
- *
- *  Created on: Sep 30, 2011
- *      Author: heber
- */
-
-#ifndef PARAMETER_HPP_
-#define PARAMETER_HPP_
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include <string>
-
-#include "CodePatterns/Clone.hpp"
-
-#include "Parameters/ValueInterface.hpp"
-
-
-/** This interface represents a clonable, named Value.
- *
- */
-template <class T>
-class Parameter : virtual public ValueInterface<T>, public Clone<Parameter<T> >
-{
-public:
-  Parameter(const std::string &_name) : name(_name) {}
-  virtual ~Parameter() {}
-
-  const std::string &getName() const { return name; }
-
-  virtual Parameter* clone() const=0;
-
-private:
-  Parameter();
-
-private:
-  const std::string name;
-};
-
-
-#endif /* PARAMETER_HPP_ */
Index: src/Parameters/ParameterInterface.hpp
===================================================================
--- src/Parameters/ParameterInterface.hpp	(revision 9cd0d0b95aa93749d28973e5bf6802127c241fb4)
+++ src/Parameters/ParameterInterface.hpp	(revision 9cd0d0b95aa93749d28973e5bf6802127c241fb4)
@@ -0,0 +1,45 @@
+/*
+ * Parameter.hpp
+ *
+ *  Created on: Sep 30, 2011
+ *      Author: heber
+ */
+
+#ifndef PARAMETER_HPP_
+#define PARAMETER_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include <string>
+
+#include "CodePatterns/Clone.hpp"
+
+#include "Parameters/ValueInterface.hpp"
+
+
+/** This interface represents a clonable, named Value.
+ *
+ */
+template <class T>
+class ParameterInterface : virtual public ValueInterface<T>, public Clone<ParameterInterface<T> >
+{
+public:
+  ParameterInterface(const std::string &_name) : name(_name) {}
+  virtual ~ParameterInterface() {}
+
+  const std::string &getName() const { return name; }
+
+  virtual ParameterInterface* clone() const=0;
+
+private:
+  ParameterInterface();
+
+private:
+  const std::string name;
+};
+
+
+#endif /* PARAMETER_HPP_ */
Index: src/Parameters/unittests/Makefile.am
===================================================================
--- src/Parameters/unittests/Makefile.am	(revision c5e73131f8ffc006b7956e816253e54677adbb78)
+++ src/Parameters/unittests/Makefile.am	(revision 9cd0d0b95aa93749d28973e5bf6802127c241fb4)
@@ -46,5 +46,5 @@
 	../Parameters/ContinuousParameter.hpp \
 	../Parameters/ContinuousParameter_impl.hpp \
-	../Parameters/Parameter.hpp \
+	../Parameters/ParameterInterface.hpp \
 	../Parameters/Range.hpp \
 	../Parameters/ValueInterface.hpp
@@ -69,5 +69,5 @@
 	../Parameters/DiscreteParameter.hpp \
 	../Parameters/DiscreteParameter_impl.hpp \
-	../Parameters/Parameter.hpp \
+	../Parameters/ParameterInterface.hpp \
 	../Parameters/ValueInterface.hpp
 DiscreteParameterTest_LDADD = \
